Subject: Re: linux-next: manual merge of the amdgpu tree with the drm-next tree

From: Thierry Reding <[email-masked]>
Date: Wed, 6 May 2026 12:20:59 +0200

On Wed, May 06, 2026 at 11:55:55AM +0200, Thierry Reding wrote:
> Hi all,
> 
> Today's linux-next merge of the amdgpu tree got a conflict in:
> 
>   drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm.c
> 
> between commit:
> 
>   5164f7e7ff8e ("drm: Rename struct drm_atomic_state to drm_atomic_commit")
> 
> from the drm-next tree and commit:
> 
>   3c108046e1d6 ("drm/amd/display: Add power module on Linux")
> 
> from the amdgpu tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. It looks
> like this is pretty much what's in the amdgpu tree, modulo some
> whitespace changes. This is now fixed as far as linux-next is concerned,
> but any non trivial conflicts should be mentioned to your upstream
> maintainer when your tree is submitted for merging.  You may also want
> to consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.

Looks like I forgot to adjust the new functions for the renaming change
of drm_atomic_commit, so I've added a merge fix for this today.

Thierry